"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var storybook_chrome_screenshot_1 = require("storybook-chrome-screenshot");
var with_readme_1 = require("storybook-readme/with-readme");
var _1 = require("../");
var bgImage = require("./assets/bg.png");
var Readme = require("./README/Banner.md");
react_1.storiesOf('Core/Banner', module)
    .addDecorator(with_readme_1.default(Readme))
    .addDecorator(storybook_chrome_screenshot_1.withScreenshot())
    .add('BackgoundImage', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.Banner, { color: 'white', backgroundImage: bgImage },
            React.createElement(_1.Heading.h1, null, "balena"),
            React.createElement(_1.Txt, null, "Balena brings the benefits of Linux containers to the IoT. Develop iteratively, deploy safely, and manage at scale."))));
});
