"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_1 = require("@storybook/react");
var storybook_chrome_screenshot_1 = require("storybook-chrome-screenshot");
var _1 = require("../../");
var helpers_1 = require("../helpers");
var mockDeviceArray = [
    {
        is_online: true
    },
    {
        provisioning_state: 'Post-Provisioning'
    },
    {
        is_online: false,
        last_connectivity_event: null
    },
    {
        is_online: false,
        last_connectivity_event: 1503662108854
    },
    {
        is_online: true,
        last_connectivity_event: 1503662108854,
        status: 'Starting'
    },
    {
        is_online: true,
        last_connectivity_event: 1503662108854,
        status: 'Configuring'
    },
    {
        is_online: true,
        last_connectivity_event: 1503662108854,
        status: 'idle'
    },
    {
        download_progress: 5,
        is_online: true,
        last_seen_time: 1503662108854,
        status: 'Downloading'
    }
];
react_1.storiesOf('Deprecated/DeviceStatusGauge', module)
    .addDecorator(storybook_chrome_screenshot_1.withScreenshot())
    .add('Standard', function () {
    return (React.createElement(_1.Provider, null,
        React.createElement(_1.DeviceStatusGauge, { disableAnimation: true || helpers_1.isTakingScreenshot, m: 30, devices: mockDeviceArray })));
});
